Subject: Re: claims Guix can make about reproducibility (was Re: [bug#72314] [PATCH v1 1/3] website: Redesign home page.)

From: Luis Felipe <[email-masked]>
Date: Wed, 31 Jul 2024 12:47:44 +0000

El 31/07/24 a las 6:26, pelzflorian (Florian Pelz) escribió:
> Luis Felipe <[email-masked]> writes:
>>> Could you, Luis, in a new version of the patch add an asterisk that
>>> preserving likely will work but not always and we cannot guarantee this
>>> yet?  Cc to others for opinions.
>> Sure. I'll wait for other's opinions to see how to rewrite that part.
>>
>> When I presented the proposal, Simon had suggested changing that
>> particular part to "Get the same environment in the future"
>> (https://lists.gnu.org/archive/html/guix-devel/2023-10/msg00137.html). Maybe
>> that would be enough?
> I had read the thread; but somehow missed Simon’s comment...  Yes, if
> that rewording makes Simon happy already, we can do that.
>
> However, writing “in the future“ (or just removing the word 50 from “50
> years later”) could lead to misconceptions.  There are concrete bugs
> hindering near-term reproducibility for some packages (e.g. those using
> mercurial) [1].
>
> Soo ... add an ugly asterisk saying “*currently only guaranteed for most
> packages“?

How about linking the asterisk to the blog post instead 
(https://guix.gnu.org/blog/2024/adventures-on-the-quest-for-long-term-reproducible-deployment/)?